/* menu */
nav {
  position: fixed;
  top: 0;
  left: 0;
  z-index: 100;
  width: 100vw;
  mix-blend-mode: difference;
  overflow-x: hidden;
}

nav .container {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

nav .logo,
nav .menu-toggle-btn {
  padding: 0.25rem;
  cursor: pointer;
}

nav .logo a,
nav .menu-toggle-btn p {
  color: var(--tone-400);
  user-select: none;
}

nav .logo a {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 0.5rem;
}

nav .logo a span {
  position: relative;
  display: inline-block;
  width: 0.5rem;
  height: 0.5rem;
  background-color: var(--tone-500);
  animation: blink 1s infinite;
}

@keyframes blink {
  0%,
  50% {
    opacity: 1;
  }
  51%,
  100% {
    opacity: 0;
  }
}

.nav-overlay {
  position: fixed;
  top: 0;
  left: 0;
  z-index: 10;
  width: 100vw;
  height: 100svh;
  background-color: var(--tone-200);
  clip-path: polygon(50% 50%, 50% 50%, 50% 50%, 50% 50%);
  overflow: hidden;
  pointer-events: none;
}

.nav-overlay .nav-items {
  position: absolute;
  top: 50%;
  right: 0%;
  width: 50%;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  transform: translate(0%, -50%);
}

.nav-overlay .nav-items .nav-item {
  position: relative;
  width: 100%;
  opacity: 0;
  transform: translateY(100%);
  will-change: transform;
}

.nav-overlay .nav-items .nav-item a {
  font-size: 7.5vw;
  line-height: 0.9;
  color: var(--tone-400);
  user-select: none;
}

.nav-overlay .nav-items .nav-item.active a {
  color: var(--tone-500);
}

.nav-overlay .nav-footer {
  position: absolute;
  left: 0;
  bottom: 0;
  width: 100%;
  gap: 1rem;
  text-align: center;
}

.nav-overlay .nav-footer .container {
  display: flex;
  justify-content: space-between;
  align-items: flex-end;
}

.nav-overlay .nav-footer .nav-footer-item {
  display: flex;
  gap: 2rem;
}

.nav-overlay .nav-footer .nav-footer-item a {
  color: var(--tone-400);
}

@media (max-width: 1000px) {
  .nav-overlay .nav-items {
    left: 1rem;
    width: 100%;
    transform: translate(0%, -50%);
  }

  .nav-overlay .nav-items .nav-item a {
    font-size: 15vw;
  }

  .nav-overlay .nav-footer {
    gap: 0;
    align-items: center;
  }

  .nav-overlay .nav-footer .nav-footer-item {
    gap: 1rem;
  }
}
